[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#642128: marked as done (gnat-4.6: fails to build spark on kfreebsd)

Your message dated Fri, 30 Sep 2011 16:05:27 +0200
with message-id <20110930140527.GA10150@localhost.localdomain>
and subject line done
has caused the Debian Bug report #642128,
regarding gnat-4.6: fails to build spark on kfreebsd
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

642128: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642128
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: gnat-4.6
Version: 4.6.1-5
Severity: important

Building of spark (2011.0.deb-3) fails on both kfreebsd-i386 and -amd64 with gnat-4.6.

The build fails with the following error:

  gnatlink examiner.ali -g -O2 -fdata-sections -ffunction-sections -o spark -Wl,--gc-sections
  /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6.1/../../../x86_64-kfreebsd-gnu/libgnarl-4.6.so: undefined reference to `clock_gettime'
  /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6.1/../../../x86_64-kfreebsd-gnu/libgnarl-4.6.so: undefined reference to `pthread_mutexattr_setprotocol'
  /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6.1/../../../x86_64-kfreebsd-gnu/libgnarl-4.6.so: undefined reference to `pthread_mutexattr_setprioceiling'

The full logs are available here:


I added linker garbage collection flags in spark 2011.0.deb-3, but I do
not think that this is the reason for failing builds, because it works
everywhere else. But spark was never compiled using gnat-4.6 on
kfreebsd before, so I have no idea if it builds without those flags.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnat-4.6 depends on:
ii  gcc-4.6            4.6.1-11        
ii  gnat-4.6-base      4.6.1-5         
ii  libc6              2.13-21         
ii  libc6-dev          2.13-21         
ii  libgcc1            1:4.6.1-11      
ii  libgmp10           2:5.0.2+dfsg-1  
ii  libgnat-4.6        4.6.1-5         
ii  libgnatprj4.6      4.6.1-5         
ii  libgnatvsn4.6      4.6.1-5         
ii  libmpc2            0.9-3           
ii  libmpfr4           3.0.1-6         
ii  multiarch-support  2.13-21         
ii  zlib1g             1:

gnat-4.6 recommends no packages.

Versions of packages gnat-4.6 suggests:
pn  ada-reference-manual  <none>
pn  gnat-4.6-doc          <none>
pn  gnat-4.6-sjlj         <none>

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: gnat-4.6
Source-Version: 4.6.1-6

--- End Message ---

Reply to: